Skip to content
Start here

Get a Job Details

Deprecated
GET/accounts/{account_id}/autorag/rags/{id}/jobs/{job_id}

Get a Job Details

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Auto Rag WriteAuto Rag Read
Path ParametersExpand Collapse
account_id: string
id: string

rag id

maxLength32
minLength1
job_id: string
ReturnsExpand Collapse
result: object { id, source, end_reason, 3 more }
id: string
source: "user" or "schedule"
One of the following:
"user"
"schedule"
end_reason: optional string
ended_at: optional string
last_seen_at: optional string
started_at: optional string
success: boolean

Get a Job Details

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/autorag/rags/$ID/jobs/$JOB_ID \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "result": {
    "id": "id",
    "source": "user",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}
Returns Examples
{
  "result": {
    "id": "id",
    "source": "user",
    "end_reason": "end_reason",
    "ended_at": "ended_at",
    "last_seen_at": "last_seen_at",
    "started_at": "started_at"
  },
  "success": true
}